# SPDX-FileCopyrightText: Huawei Inc.
#
# SPDX-License-Identifier: Apache-2.0
#

# Reverse Path Filtering
net.ipv4.conf.all.rp_filter = 1

# Do not accept ICMP redirect messages
net.ipv4.conf.default.accept_redirects = 0

# Do not accept packets with SRR option.
net.ipv4.conf.default.accept_source_route = 0

# Log packets with impossible addresses to kernel log
net.ipv4.config.default.log_martians = 1
